Debian Bug report logs - #480144
lynx-cur: Lynx does not send cookies sometimes

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Sebastien Hinderer <Sebastien.Hinderer@ens-lyon.org>

Date: Thu, 8 May 2008 10:12:01 UTC

Severity: normal

Found in version lynx-cur/2.8.7dev9-1

Fixed in version lynx-cur/2.8.7dev10-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#480144; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Sebastien Hinderer <Sebastien.Hinderer@ens-lyon.org>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastien Hinderer <Sebastien.Hinderer@ens-lyon.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-cur: Lynx does not send cookies sometimes
Date: Thu, 08 May 2008 12:09:51 +0200
Package: lynx-cur
Version: 2.8.7dev9-1
Severity: normal

It is not possible anymore to use sites such as Amazon.com with lynx,
whereas this used to work just fine.
Although lynx is configured to accept all cookies, even invalid ones,
tracing a session with Amazon reveals that lynx does not send back to
Amazon the cookies it received.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.21.1
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages lynx-cur depends on:
ii  debconf [debconf-2.0]  1.5.21            Debian configuration management sy
ii  libc6                  2.7-10            GNU C Library: Shared libraries
ii  libgcrypt11            1.4.1-1           LGPL Crypto library - runtime libr
ii  libgnutls26            2.2.3~rc-1        the GNU TLS library - runtime libr
ii  libncursesw5           5.6+20080503-1    Shared libraries for terminal hand
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages lynx-cur recommends:
ii  mime-support                  3.40-1.1   MIME files 'mime.types' & 'mailcap

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#480144; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Sébastien Hinderer <Sebastien.Hinderer@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #10 received at 480144@bugs.debian.org (full text, mbox):

From: Sébastien Hinderer <Sebastien.Hinderer@ens-lyon.org>
To: 480144@bugs.debian.org
Cc: brltty@mielke.cc
Subject: Additional information
Date: Thu, 8 May 2008 21:45:25 +0200
Hi,

I'm Cc'ing the BRLTTY list because the discussion that gave rise to this
bug report started there.

Here is an example of a Set-Cookie line as sent by Amazon:
Set-Cookie: session-id-time=1210802400l; path=/; domain=.amazon.fr;
expires=Wed May 14 22:00:00 2008

The problem is that the LYmktime function defined in src/LYUtils.c can't
parse the expiration date. So, instead of returning a valid time it
returns 0. As a consequence lynx considers the cookie as having expired
and does not even keep track of it.

As a tempory fix, one may add two lines like these at the beginning of
the abovementionned function:

now = time(NULL);
if (s!="") {
  return now + 3600;
}
Obviously this is a poor fix. Hopefully upstream can come up with a more
robust version of LYmktime.





Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#480144; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #15 received at 480144@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 480144@bugs.debian.org
Subject: re: #480144 lynx-cur: Lynx does not send cookies sometimes
Date: Mon, 30 Jun 2008 20:35:53 -0400
[Message part 1 (text/plain, inline)]
I made a fix for this which will be in 2.8.7dev.10 - see for example

	ftp://invisible-island.net/temp/lynx2.8.7dev.9a.patch.gz

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. (Wed, 24 Sep 2008 07:03:14 GMT) Full text and rfc822 format available.

Notification sent to Sebastien Hinderer <Sebastien.Hinderer@ens-lyon.org>:
Bug acknowledged by developer. (Wed, 24 Sep 2008 07:03:14 GMT) Full text and rfc822 format available.

Message #20 received at 480144-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 480144-close@bugs.debian.org
Subject: Bug#480144: fixed in lynx-cur 2.8.7dev10-1
Date: Wed, 24 Sep 2008 06:32:05 +0000
Source: lynx-cur
Source-Version: 2.8.7dev10-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.7dev10-1_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.7dev10-1_all.deb
lynx-cur_2.8.7dev10-1.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.7dev10-1.diff.gz
lynx-cur_2.8.7dev10-1.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.7dev10-1.dsc
lynx-cur_2.8.7dev10-1_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.7dev10-1_i386.deb
lynx-cur_2.8.7dev10.orig.tar.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.7dev10.orig.tar.gz
lynx_2.8.7dev10-1_all.deb
  to pool/main/l/lynx-cur/lynx_2.8.7dev10-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 480144@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Sep 2008 11:55:24 +0900
Source: lynx-cur
Binary: lynx-cur lynx-cur-wrapper lynx
Architecture: source all i386
Version: 2.8.7dev10-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx       - Text-mode WWW Browser (transitional package)
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 204515 376259 461158 480144
Changes: 
 lynx-cur (2.8.7dev10-1) unstable; urgency=low
 .
   * New Upstream Release.
    - modify initial active link in download-page (Closes: #376259)
    - revise introductory comment written to ".lynxrc" (Closes: #461158)
    - suppress computation in TrimmedLength() for source-view (Closes: #204515)
    - adapt/extend parsdate.y from tin to improve parsing of cookie expiration
      times (Closes: #480144)
Checksums-Sha1: 
 6265f675814d14ab8024fa0c7d92458eda6148f6 1201 lynx-cur_2.8.7dev10-1.dsc
 c6976999eccbbd8829d2987de93c66c832daafb5 3317362 lynx-cur_2.8.7dev10.orig.tar.gz
 b0bb2920a08016d613689d68b70f48185b5b6d22 28314 lynx-cur_2.8.7dev10-1.diff.gz
 32e9ca24fb3447370dee60f3d265d40e1d8899e5 16232 lynx-cur-wrapper_2.8.7dev10-1_all.deb
 a661af3d66ec44d36d3bd7bf95fddc3d6c92d88f 13772 lynx_2.8.7dev10-1_all.deb
 9d4a03cfd1441a3599643f14905e5f28a22300e7 2026658 lynx-cur_2.8.7dev10-1_i386.deb
Checksums-Sha256: 
 6112b9ab0fc9714b50d785556f769ffcec07a517fe5d05b5bbfb2385e5ba1ebe 1201 lynx-cur_2.8.7dev10-1.dsc
 2441eded38bdc58c59abc13141e67f1c2291572ab98ead33f2b1b0eff536eed0 3317362 lynx-cur_2.8.7dev10.orig.tar.gz
 6bff792381a8f250180e2b3378ec16dc754f813fe96e94e2de87a8514aabc90f 28314 lynx-cur_2.8.7dev10-1.diff.gz
 83cead5b4afe7f3759c8189913deb85f23829f020a2bdd4a3104cf41ded9a5e1 16232 lynx-cur-wrapper_2.8.7dev10-1_all.deb
 417fecb3fa9eba3782b93afbfe40ab33fc09708b0620be915cce635602838484 13772 lynx_2.8.7dev10-1_all.deb
 abb0d60a64fae9010994551ca179f24b2b2bcfe1abf18c8ba61ea771d0947cec 2026658 lynx-cur_2.8.7dev10-1_i386.deb
Files: 
 41d0bedb0ed0aee02f2a1cd7e2d95aee 1201 web extra lynx-cur_2.8.7dev10-1.dsc
 dda5a25c5155e40cbbeb4df6a54e2c90 3317362 web extra lynx-cur_2.8.7dev10.orig.tar.gz
 b93b108c4b1b4343d89aa1f45803761d 28314 web extra lynx-cur_2.8.7dev10-1.diff.gz
 2ae29abf6aa441d002ccf099b2a23850 16232 web extra lynx-cur-wrapper_2.8.7dev10-1_all.deb
 0f5b490a91b6f35f3ed69f5caee66b41 13772 web extra lynx_2.8.7dev10-1_all.deb
 82699b3e5ffa5f662aeb9aadb250b161 2026658 web extra lynx-cur_2.8.7dev10-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjZ00sACgkQ1IXdL1v6kOwpmgCeI22GDUZJsw21I25BIN+GZ28L
oDgAn1HANss8zwsYbFIKX6jNFPbD8KFf
=ftjM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:10:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:47:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.